mnemonic-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ga...@apache.org
Subject [2/2] incubator-mnemonic git commit: MNEMONIC-148: Make runall script support durable native computing sort testcase
Date Fri, 04 Nov 2016 21:27:16 GMT
MNEMONIC-148: Make runall script support durable native computing sort testcase


Project: http://git-wip-us.apache.org/repos/asf/incubator-mnemonic/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-mnemonic/commit/1af3dc1a
Tree: http://git-wip-us.apache.org/repos/asf/incubator-mnemonic/tree/1af3dc1a
Diff: http://git-wip-us.apache.org/repos/asf/incubator-mnemonic/diff/1af3dc1a

Branch: refs/heads/master
Commit: 1af3dc1a99881d81a6d267b3cdb2a5b6857029f9
Parents: dd981eb
Author: Wang, Gang(Gary) <gang1.wang@intel.com>
Authored: Fri Nov 4 14:23:23 2016 -0700
Committer: Wang, Gang(Gary) <gang1.wang@intel.com>
Committed: Fri Nov 4 14:23:23 2016 -0700

----------------------------------------------------------------------
 build-tools/runall.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-mnemonic/blob/1af3dc1a/build-tools/runall.sh
----------------------------------------------------------------------
diff --git a/build-tools/runall.sh b/build-tools/runall.sh
index 0d3a17c..9e277ce 100755
--- a/build-tools/runall.sh
+++ b/build-tools/runall.sh
@@ -104,5 +104,15 @@ echo [ERROR] This test case requires \"pmalloc\" memory service to pass,
please
 exit 1
 fi
 echo [SUCCESS] Test case DurableSinglyLinkedListNGPrintTest for \"mnemonic-computing-services/mnemonic-utilities-service\"
is completed!
+
+echo [INFO] Running DurableSinglyLinkedListNGSortTest for \"mnemonic-computing-services/mnemonic-utilities-service\"...
+mvn -Dtest=DurableSinglyLinkedListNGSortTest test -pl mnemonic-computing-services/mnemonic-utilities-service
-DskipTests=false > testlog/DurableSinglyLinkedListNGSortTest.log
+if [ $? -gt 0 ]
+then
+echo [ERROR] This test case requires \"pmalloc\" memory service to pass, please check if
\"pmalloc\" has been configured correctly! If \"pmalloc\" is installed, please refer to testlog/DurableSinglyLinkedListNGSortTest.log
for detailed information.
+exit 1
+fi
+echo [SUCCESS] Test case DurableSinglyLinkedListNGSortTest for \"mnemonic-computing-services/mnemonic-utilities-service\"
is completed!
+
 echo [DONE] All test cases are completed! Log files are available under folder testlog!
 exit 0


Mime
View raw message